Subject: Re: [core] [Fwd: Congestion control (was Re: draft-tschofenig-core-coap-tcp-tls-03)]

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 27 May 2015 15:52:58 +0200

Hi Carles,

thanks for taking a look at the document.

I changed the text in the introduction that talks about congestion
control to

"
   As an additional usage scenario, some environments benefit from the
   congestion control capabilities provided by TCP.  Note that there is
   ongoing work to add more sophisticated congestion control to CoAP as
   well, see [I-D.bormann-core-cocoa].
"

I hope that works for you.

Answers to your questions are below:

On 05/05/2015 06:29 PM, Carles Gomez Montenegro wrote:
> Hi Hannes,
> 
> I am resending since you probably did not receive this e-mail (which was
> also sent to the CoRE WG list). I got a "mail delivery error" message
> indicating that your mailbox storage had been exceeded.
> 
> Best regards,
> 
> Carles
> 
> 
> ---------------------------- Original Message ----------------------------
> Subject: [core] Congestion control (was Re:
> draft-tschofenig-core-coap-tcp-tls-03)
> From:    "Carles Gomez Montenegro" <[email-masked]>
> Date:    Fri, May 1, 2015 7:36 pm
> To:      "Hannes Tschofenig" <[email-masked]>
> Cc:      "Ilker Demirkol" <[email-masked]>
>          "August Betzler" <[email-masked]>
>          "[email-masked] WG" <[email-masked]>
> --------------------------------------------------------------------------
> 
> Hi Hannes,
> 
> I have a comment and a question on draft-tschofenig-core-coap-tcp-tls-03,
> related with congestion control.
> 
> Comment
> *******
> 
> I am particularly concerned with the following paragraph:
> 
>    As an additional usage scenario, some environments benefit from the
>    more advanced congestion control and flow control capabilities
>    provided by TCP.  While there is ongoing work to add more
>    sophisticated congestion control to CoAP, see
>    [I-D.bormann-core-cocoa], it is still far less efficient than
>    functionality provided by TCP.        ^^^^^^^^^^^^^^^^^^
> 
> In its current form, the last sentence states in absolute terms that CoCoA
> is "far less efficient" than TCP congestion control, whereas the
> performance results we (the CoCoA authors) obtained in experiments
> (presented e.g. in the CoRE WG meeting in Honolulu and in the ICCRG
> meeting in Dallas) indicate just the opposite, at least in the scenarios
> we considered.
> 
> TCP congestion control is of course great for many environments, and it
> may indeed be a better choice for back-end communications in a cloud
> infrastructure. However, in constrained node networks (CNNs), CoCoA seems
> to work better than TCP RTO algorithms (e.g. Linux or Peak-Hopper), which
> is reasonable since it has been specifically designed and tuned
> considering CNN characteristics. In fact, Linux and Peak-Hopper
> underperform even default CoAP in some scenarios.
> 
> (Note: in our work we have just considered NSTART = 1, since the CoRE WG
> feedback has so far been that there have not been use cases for NSTART >
> 1.)
> 
> So I think the aforementioned paragraph should be modified accordingly.
> 
> 
> Question
> ********
> 
> Is CoAP over TCP expected to run in constrained devices (e.g. due to the
> NAT traversal issue described in your draft) ?

Yes.

> 
> If the answer is yes, which RFC 7228 class(es) of devices are expected to
> run CoAP over TCP ?

That's difficult to say since it largely depends on what "stuff" you put
on an IoT device overall.

> 
> I think it would be good to clarify these aspects in the draft.
> 

Ciao
Hannes

> Thanks!
> 
> Carles Gomez
> 
> 
> 
> 
>> Hi all,
>>
>> I have just submitted -03 of the CoAP TCP document:
>> http://tools.ietf.org/html/draft-tschofenig-core-coap-tcp-tls-03
>>
>> I updated the introduction to include the additional use cases discussed
>> at the CORE WG session at IETF#92. Version -02 already contained some
>> text about the requested use cases but I extended the text and shorted
>> the introduction.
>>
>> I believe that this document is ready for a call for adoption by the WG
>> chairs.
>>
>> Ciao
>> Hannes
>>
>> _______________________________________________
>> core mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/core
>>
> 
> 
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
> 
>